## ros-iron-pcl-msgs 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(pcl_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)

# declare the message files to generate code for
set(msg_files
  "msg/ModelCoefficients.msg"
  "msg/PointIndices.msg"
  "msg/PolygonMesh.msg"
  "msg/Vertices.msg"
)

# declare the service files to generate code for
set(srv_files
  "srv/UpdateFilename.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
   ${msg_files}
   ${srv_files}
   DEPENDENCIES sensor_msgs std_msgs
   ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-pcl-msgs (1.0.0-8jammy) jammy; urgency=high

  * Trim README
  * ros2 port of pcl_msgs (#11 <https://github.com/ros-perception/pcl_msgs/issues/11>)
    * Migrated From ROS1 to ROS2
    * Update CHANGELOG.rst
    * Migrated pcl_msgs from ROS1 to ROS2
    * Updated Readme.md
    Added Migration changes information and How to build and test information.
    * Update README.md
    * Update README.md
    * Update README.md
  * Migrated From ROS1 to ROS2 (#10 <https://github.com/ros-perception/pcl_msgs/issues/10>)
    * Migrated From ROS1 to ROS2
    * Update CHANGELOG.rst
    * Migrated pcl_msgs from ROS1 to ROS2
  * Add service file to update filename
  * Contributors: Kentaro Wada, Paul Bovbel, Sandip Rakhasiya

 -- Paul Bovbel <paul@bovbel.com>  Sun, 13 Oct 2019 16:00:00 -0000

ros-iron-pcl-msgs (0.2.0-8jammy) jammy; urgency=high

  * clean up package.xml
  * update maintainer info
  * remove eigen dependency
  * Merge pull request #1 <https://github.com/ros-perception/pcl_msgs/issues/1> from bulwahn/patch-1
  * Contributors: Lukas Bulwahn, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 Apr 2014 16:00:00 -0000

ros-iron-pcl-msgs (0.1.0-8jammy) jammy; urgency=high

  * Generate messages into the pcl_msgs namespace rather than the pcl namespace

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jul 2013 16:00:00 -0000

ros-iron-pcl-msgs (0.0.3-8jammy) jammy; urgency=high

  * fix deps for messages
  * Updated for new <buildtool_depend>catkin<...> rule

 -- Paul Bovbel <paul@bovbel.com>  Fri, 14 Dec 2012 16:00:00 -0000

ros-iron-pcl-msgs (0.0.2-8jammy) jammy; urgency=high

  * increasing version
  * ros message generation prefix hack

 -- Paul Bovbel <paul@bovbel.com>  Mon, 26 Nov 2012 10:50:00 -0000

ros-iron-pcl-msgs (0.0.1-8jammy) jammy; urgency=high

  * initial commit - pcl ROS messages

 -- Paul Bovbel <paul@bovbel.com>  Mon, 26 Nov 2012 09:48:00 -0000

=== debian/control ===
Source: ros-iron-pcl-msgs
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-common <!nocheck>, ros-iron-rosidl-default-generators, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/pcl_msgs
Standards-Version: 3.9.2

Package: ros-iron-pcl-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rosidl-default-runtime, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Package containing PCL (Point Cloud Library)-related ROS messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-pcl-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
